#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%define		enable_autotools 0
%global		package_version 3.5.0
%global		package_name ovirt-log-collector

Summary:	Log Collector for Red Hat Enterprise Virtualization
Name:		rhevm-log-collector
Version:	3.5.0
Release:	4%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		http://resources.ovirt.org/pub/ovirt-3.5/src/%{package_name}/%{package_name}-%{package_version}.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	python
Requires:	python-dateutil
Requires:	python-lxml
Requires:	rhevm-sdk-python >= 3.5.0.7
Requires:	rhevm-lib
Requires:	logrotate
Requires:	openssh-clients

%if 0%{?rhel} >= 7
Requires:	sos >= 3.1
%else
Requires:	sos < 3
%endif

BuildRequires:	python2-devel
BuildRequires:	gettext
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel

%if 0%{?rhel} >= 7
BuildRequires:	sos >= 3
%else
BuildRequires:	sos < 3
%endif

Patch1:	0001-sos-add-ovirt-enging-reports-and-jboss-runtime-confi.patch
Patch2:	0002-ux-add-include-sensitive-data.patch
Patch3:	0003-sos-postgresql-align-with-upstream-master.patch
Patch4:	0004-sos-add-support-for-sos-3.2.patch
Patch5:	0005-sos-use-env-instead-of-command-line-for-password.patch
Patch6:	0006-postgresql-avoid-to-crash-with-numerical-passwords.patch
Patch7:	0007-remove-password-leak-from-ovirt-engine-setup-answer-.patch
patch8: 0008-sos-fix-missing-backport-of-add_alert.patch

%description
Log Collector tool for Red Hat Enterprise Virtualization

%prep
%setup -q -n %{package_name}-%{package_version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build

%if 0%{?enable_autotools}
autoreconf -ivf
%endif

%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-log-collector %{buildroot}/%{_bindir}/rhevm-log-collector
echo ".so man8/engine-log-collector.8" > %{buildroot}/%{_mandir}/man8/rhevm-log-collector.8


%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%dir %{_sysconfdir}/ovirt-engine/logcollector.conf.d
%config(noreplace) %{_sysconfdir}/ovirt-engine/logcollector.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{python_sitelib}/ovirt_log_collector/

%if 0%{?rhel} < 7
%{python_sitelib}/sos/plugins/*.py*
%endif


%{_bindir}/engine-log-collector
%{_mandir}/man8/*
%{_bindir}/rhevm-log-collector

%changelog
* Wed Nov 19 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-4
- Resolves: BZ#1165659

* Tue Nov 18 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-3
- CVE-2014-3561
- Resolves: BZ#1162781
- Resolves: BZ#1122790

* Fri Oct 03 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-2
- Resolves: BZ#1086942

* Mon Sep 22 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-1
- Rebase on upstream 3.5.0 release
- Resolves: BZ#1122965

* Fri Aug 22 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-0.2.master
- Resolves: BZ#1128839
- Resolves: BZ#1128738

* Fri Jul 11 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-0.1.ovirtbeta2
- Rebase on upstream beta 2 release
- Resolves: BZ#1115963
- Resolves: BZ#1122965
- Resolves: BZ#1088172

